Page MenuHomePhabricator

Api html output does not produce links for source for Ukraine
Closed, ResolvedPublic

Event Timeline

JeanFred raised the priority of this task from to Medium.
JeanFred updated the task description. (Show Details)
JeanFred added subscribers: JeanFred, Ahonc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2015, 10:13 AM
Ahonc set Security to None.Oct 15 2015, 10:15 AM
Ahonc edited subscribers, added: WMUA-WLM-2015; removed: Ahonc.
JeanFred updated the task description. (Show Details)Oct 15 2015, 10:17 AM
JeanFred updated the task description. (Show Details)
JeanFred added a project: WMUA-WLM-2015.
JeanFred moved this task from Backlog to Not Us on the WMUA-WLM-2015 board.
JeanFred removed a subscriber: WMUA-WLM-2015.
Ahonc added a subscriber: Ahonc.Oct 15 2015, 10:23 AM

What should the url be and how is it related to the id?
What is needed is adding a registrantUrlBase to monuments_config.py then something like

{
    'source' : u'id',
    'dest' : u'registrant_url',
    'conv' : u'generateRegistrantUrl',
},
Restricted Application added a subscriber: Base. · View Herald TranscriptApr 1 2016, 11:09 PM

And if we do not have such urls (which are constructed from id's) we should close this as invalid.

Base added a comment.Apr 4 2016, 7:04 AM

Could you clarify the question please? Suggestion to close the task as invalid when the problem is obvious with bare eye appals me a little bit. In brief words the link should be rendered as it was back in 2014 or so when it still was ok. The urls parts which are not seen are oldid and useskin=monobook. The latter part is not important while the oldid (though in my opinion rcid would make more sense) is crucial. The title part should either be removed (oldid works by itself) or not percent encoded -- this should solve the problem of url taking more space than the database allows. Alternately perhaps the db could be altered to allow bigger string maximum length. The links target is a Project namespace page in ukwiki with the list in which the monument queried could be found. If you need more details -- please ask, what we want is the problem being fixed, rather than clean backlog here while the issue persists.

My mistake. I interpreted this as being about the "real source" not the source field (i.e. wiki list). Please disregard previous comment. This will likely be fixed by fixing T112460.

I'm not merging this task into that though since there might also be additional formatting issues in the html output for the api.

Ok. The links now work but the output needs to be url decoded for actual display. This is done as part of T132029

JeanFred closed this task as Resolved.Apr 13 2016, 12:24 AM
JeanFred claimed this task.

This task was about producing links, and since @Lokal_Profil’s work (thanks!) with T112460 we do have working links: http://tools.wmflabs.org/heritage/api/api.php?action=search&format=html&srcountry=ua&srlang=uk&srid=80-391-1424&props=image|name|address|municipality|lat|lon|id|country|source|monument_article|registrant_url

Having the display all garbled with encoded symbols is definitely not pretty and ought to be fixed at some point (in T132029) ; however I am inclined to close this as Resolved. Please reopen if disagree.